
%global meadversion 1.0.13
%global namedversion 1.0.13.redhat-5
%global meadalpha .redhat_5
%global meadrel .1
%global serial 6
%global namedversionrel redhat-5

%bcond_with javadoc
%bcond_without mead

%{?scl:%scl_package %{?scl_prefix}gnu-getopt}
%{!?scl:%global pkg_name %{name}}

%define maven_version 1.0.13.redhat-5

Name:           %{?scl_prefix}gnu-getopt
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        Java port of GNU getopt
Group:          Development/Java

%if %with mead
Source100: java-getopt-1.0.13.redhat-5-scm-sources.zip
Source102: java-getopt-1.0.13.redhat-5.jar
Source103: java-getopt-1.0.13.redhat-5-javadoc.jar
Source104: java-getopt-1.0.13.redhat-5-sources.jar
Source105: java-getopt-1.0.13.redhat-5-project-sources.tar.gz
Source106: java-getopt-1.0.13.redhat-5.pom
%endif

License:        LGPLv2+
URL:            http://www.urbanophile.com/arenn/hacking/download.html
Provides:       %{?scl_prefix}java-getopt = %{epoch}:%{version}-%{release}
Provides:       %{?scl_prefix}gnu.getopt = %{epoch}:%{version}-%{release}
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{namedversion}-%{release}-root

%description
%{summary}.

%if %with javadoc
%package javadoc
Summary:        Javadoc for java-getopt
Group:          Development/Java

BuildRequires:  unzip

%description javadoc
%{summary}.
%endif

%prep
%setup -q -n java-getopt -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/java-getopt-%{namedversion}.jar %{buildroot}%{_javadir}/java-getopt-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/java-getopt-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/java-getopt-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/java-getopt-%{namedversion}-sources.jar %{buildroot}%{_javadir}/java-getopt-%{namedversion}-sources.jar
%{__ln_s} java-getopt-%{namedversion}.jar %{buildroot}%{_javadir}/gnu.getopt-%{namedversion}.jar
%{__ln_s} java-getopt-%{namedversion}.jar %{buildroot}%{_javadir}/gnu-getopt-%{namedversion}.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/java-getopt-%{namedversion}
%{_bindir}/unzip -qq %{_sourcedir}/java-getopt-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/java-getopt-%{namedversion} -x META-INF/\*
%{__ln_s} java-getopt-%{namedversion} %{buildroot}%{_javadocdir}/java-getopt
%endif

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%doc ChangeLog COPYING.LIB LANGUAGES README
%{_javadir}/java-getopt-%{namedversion}.jar
%{_javadir}/java-getopt.jar
%if %with javadoc
%{_javadir}/java-getopt-%{namedversion}-javadoc.jar
%{_javadir}/java-getopt-javadoc.jar
%endif
%{_javadir}/java-getopt-%{namedversion}-sources.jar
%{_javadir}/java-getopt-sources.jar
%{_javadir}/gnu.getopt-%{namedversion}.jar
%{_javadir}/gnu.getopt.jar
%{_javadir}/gnu-getopt-%{namedversion}.jar
%{_javadir}/gnu-getopt.jar

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/java-getopt-%{namedversion}
%{_javadocdir}/java-getopt
%endif

%changelog
* Fri Jul 06 2018 Yong Yang <yyang@redhat.com> - 1.0.13-6.redhat_5.1
- Rewrap for 7.2.0

* Wed May 13 2015 Fernando Nasser <fnasser@redhat.com> - 1.0.13-5.redhat_5.1
- Re-wrap to include RHEL-6

* Mon May 11 2015 David Walluck <dwalluck@redhat.com> - 1.0.13-4.redhat_5.1
- release

